\begin{table}[htbp]
\begin{adjustbox}{max width=\textwidth}
\begin{tabular}{|c|c||c|c|c|c|c|c|c|c|c|}
	\hline
	\multicolumn{2}{|c||}{\textit{Threads}}          &                 1                  &                  2                  &                 4                 &   8    &   16   &   32   &                 68                 &  136   &  272   \\ \hline\hline
	\multirow{3}{*}{Intel i5~7600} &     MATLAB      &                ---                 &                 ---                 &                ---                &  ---   &  ---   &  ---   &                ---                 &  ---   &  ---   \\ \cline{2-11}
	                               &      Eigen      &               22.725               &               14.138                & \cellcolor{red!20}\textbf{10.624} &  ---   &  ---   &  ---   &                ---                 &  ---   &  ---   \\ \cline{2-11}
	                               & \textit{Ad-hoc} &               2.229                & \cellcolor{yellow!40}\textbf{1.897} &               2.006               &  ---   &  ---   &  ---   &                ---                 &  ---   &  ---   \\ \hline\hline
	         GTX~1050~Ti           &      CUDA       & \cellcolor{green!20}\textbf{0.668} &                 ---                 &                ---                &  ---   &  ---   &  ---   &                ---                 &  ---   &  ---   \\ \hline\hline
	     \multirow{2}{*}{KNL}      &      Eigen      &              128.856               &               73.859                &              43.068               & 27.360 & 19.389 & 15.609 & \cellcolor{red!20}\textbf{14.181}  & 14.311 & 15.889 \\ \cline{2-11}
	                               & \textit{Ad-hoc} &               3.367                &                2.635                &               1.321               & 0.693  & 0.382  & 0.247  & \cellcolor{green!20}\textbf{0.209} & 0.234  & 0.402  \\ \hline
\end{tabular}
\end{adjustbox}
\caption{Tiempos de ejecución (en segundos) para el tratamiento de la imagen \texttt{florencia} ($6016 \times 4000$) mediante el método variacional.}
\label{tab:comparativa-var-florencia}
\end{table}
